Bug 1267671 - New snapshot Overflow status causes binary incompatibility
New snapshot Overflow status causes binary incompatibility
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mike Snitzer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-30 11:44 EDT by Zdenek Kabelac
Modified: 2016-05-26 15:21 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-26 15:21:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2015-09-30 11:44:12 EDT
Description of problem:

4.3 kernel introduce new state for overfilled snapshot.

pre 4.3 always reported 'Invalid' keyword.
4.3 can report 'Overflow' in certain cases.

Multiple ideas how to solve it:

1.) Kernel might detect 'API' version of user-space - and return flag according to this version -> lots of work in kernel.

2.) User-space might try to use new 'type'  (e.g. 'O') for snapshot which might be handled for overflow - means  new user space code understands this flag and can use it - this will however have miner problem with old binary running at the same time - but this case hardly ever happens - if new tool activated new snapshot - it's valid estimation this new tool will also handle it for monitoring and extending.

Version-Release number of selected component (if applicable):
4.3-rc2

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Mike Snitzer 2015-10-23 20:13:03 EDT
This has been fixed with these upstream commits:
b0d3cc011e5 ("dm snapshot: add new persistent store option to support overflow")
a2a678ed4d0 ("dm snapshot persistent: fix missing cleanup in persistent_ctr error path")
Comment 2 Josh Boyer 2015-10-26 10:15:15 EDT
The first is in 4.3-rc5, the second is in 4.3-rc5.  Rawhide should already contain these commits as of last week.

To be sure, 4.3-rc7 will likely be built today.  You could verify with that kernel tomorrow.

Note You need to log in before you can comment on or make changes to this bug.